%define oname  flac
%define version 1.2.0
%define release %mkrel 1

%define major  8
%define libname %mklibname %{oname} %{major}

Name: xmms-flac
Summary: Xmms plugin to play FLAC files
Version:  %version
Release:  %release
License: GPL
Group:  Sound
URL: http://flac.sourceforge.net/
Source: http://prdownloads.sourceforge.net/flac/flac-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: xmms-devel 
BuildRequires: libogg-devel
BuildRequires: nasm
BuildRequires: libid3lib-devel
BuildRequires: gtk-devel
BuildRequires: gettext-devel
BuildRequires: automake1.8
Requires: xmms
Requires: %libname = %version
Provides: flac-xmms
Obsoletes: flac-xmms

%description
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

FLAC is comprised of 1) `libFLAC', a library which implements
reference encoders and decoders, licensed under the GNU Lesser
General Public License (LGPL); 2) `flac', a command-line program for
encoding and decoding files, licensed under the GNU General public
License (GPL); 3) `metaflac', a command-line program for editing
FLAC metadata, licensed under the GPL; 4) player plugins for XMMS
and Winamp, licensed under the GPL; and 5) documentation, licensed
under the GNU Free Documentation License.


%prep
%setup -q -n %oname-%version

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
cd src/plugin_xmms/
%makeinstall_std
rm -f %buildroot%_libdir/xmms/Input/*.la

%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc AUTHORS COPYING* README
%_libdir/xmms/Input/*.so




%changelog
* Wed Jul 25 2007 Götz Waschk <waschk@mandriva.org> 1.2.0-1mdv2008.0
+ Revision: 55189
- new version


* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 1.1.4-1mdv2007.0
+ Revision: 120723
- drop useless macro
- new version

* Fri Dec 01 2006 Götz Waschk <waschk@mandriva.org> 1.1.3-1mdv2007.1
+ Revision: 89820
- Import xmms-flac

* Fri Dec 01 2006 Gtz Waschk <waschk@mandriva.org> 1.1.3-1mdv2007.1
- drop patches
- new version

* Sat Jul 01 2006 Gtz Waschk <waschk@mandriva.org> 1.1.2-6mdv2007.0
- separate from main flac package

* Wed Nov 02 2005 Gtz Waschk <waschk@mandriva.org> 1.1.2-5mdk
- fix patch 1 (Anssi Hannula)

* Sat Apr 23 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.1.2-4mdk
- patch3: fix build with ppc gnu binutils
- add BuildRequires: gettext-devel

* Fri Apr 22 2005 Gtz Waschk <waschk@mandriva.org> 1.1.2-3mdk
- fix the patch

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 1.1.2-2mdk
- try to fix bug #15553 with patch 2

* Tue Apr 19 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.1.2-1mdk
- bump majors
- new version

* Tue Nov 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-1mdk
- new version

* Wed Sep 29 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.1-0.beta1.3mdk
- libtool & lib64 fixes

* Sat Sep 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-0.beta1.2mdk
- Fix requires (allow to upgrade MDK9.2->10.1)

* Tue Aug 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-0.beta1.1mdk
- fix majors
- fix doc section
- new version

* Fri Jul 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-8mdk
- make menu title unique (else the GNOME menu method doesn't work)

* Thu Jul 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-7mdk
- add hidden menu entry to associate flac files with xmms

* Fri Jun 04 2004 Montel Laurent <lmontel@mandrakesoft.com> 1.1.0-6mdk
- Rebuild against gcc

